Index: src/networks/fileTP/fileTPInteractive.ml
===================================================================
RCS file: /sources/mldonkey/mldonkey/src/networks/fileTP/fileTPInteractive.ml,v
retrieving revision 1.36
diff -u -u -w -r1.36 fileTPInteractive.ml
--- src/networks/fileTP/fileTPInteractive.ml	12 May 2006 21:08:31 -0000	1.36
+++ src/networks/fileTP/fileTPInteractive.ml	19 May 2006 21:58:31 -0000
@@ -230,7 +230,7 @@
   let file = new_file (Md4.random ()) u.Url.full_file zero in
   
   if !verbose then
-    lprintf_nl () "Started new download: %s from %s" (file_best_name file) url; 
+    lprintf_nl "Started new download: %s from %s" (file_best_name file) url; 
   if not (List.memq file !current_files) then begin
       current_files := file :: !current_files;
     end;
@@ -267,7 +267,7 @@
   let location_regexp = "Location: \\(.*\\)" in
   let real_url = get_regexp_string url (Str.regexp location_regexp) in
   if !verbose then
-    lprintf_nl () "real url: %s\n" real_url;
+    lprintf_nl "real url: %s\n" real_url;
   if (is_http_torrent url real_url) then "", false
   else
     if (String2.check_prefix real_url "http://") then (
@@ -338,7 +338,7 @@
           | _ -> raise Not_found);
 
           if !verbose then
-            lprintf_nl () "MIRROR [%s] [%s]" !num !url;
+            lprintf_nl "MIRROR [%s] [%s]" !num !url;
           let u = Url.of_string !url in
 
           if List.mem u !!old_files && !previous_url <> !url then begin
@@ -348,10 +348,10 @@
           let num = int_of_string !num in
           Hashtbl.iter (fun _ file ->
               if !verbose then
-                lprintf_nl () "COMPARE %d/%d" (file_num file) num;
+                lprintf_nl "COMPARE %d/%d" (file_num file) num;
               if file_num file = num then begin
                   if !verbose then
-                    lprintf_nl () "Try HEAD from mirror";
+                    lprintf_nl "Try HEAD from mirror";
 
 
                   download_file_from_mirror file u !referer;
@@ -378,7 +378,7 @@
             _s ""
         | Not_found ->
             if !verbose then
-              lprintf_nl () "Not enough parameters";
+              lprintf_nl "Not enough parameters";
             let buf = o.conn_buf in
             if o.conn_output = HTML then
               html_mods_table_one_row buf "serversTable" "servers" [
Index: src/networks/gnutella/gnutellaClients.ml
===================================================================
RCS file: /sources/mldonkey/mldonkey/src/networks/gnutella/gnutellaClients.ml,v
retrieving revision 1.40
diff -u -u -w -r1.40 gnutellaClients.ml
--- src/networks/gnutella/gnutellaClients.ml	12 May 2006 21:02:38 -0000	1.40
+++ src/networks/gnutella/gnutellaClients.ml	19 May 2006 21:58:31 -0000
@@ -554,7 +554,7 @@
                 iter ()
               with Not_found -> 
     if !verbose_unknown_messages then
-                  lprintf_nl () "Unable to get a block !!";
+                  lprintf_nl "Unable to get a block !!";
                   check_finished swarmer file;
                   raise Not_found
             in
@@ -582,12 +582,12 @@
 
 and disconnect_client c r =
   if !verbose then
-    lprintf_nl () "DISCONNECT CLIENT";
+    lprintf_nl "DISCONNECT CLIENT";
   match c.client_sock with
   | Connection sock -> 
       (try
           if !verbose_msg_clients then
-              lprintf_nl () "Disconnected from source for %s" (string_of_reason r); 
+              lprintf_nl "Disconnected from source for %s" (string_of_reason r); 
           c.client_requests <- [];
           connection_failed c.client_connection_control;
           set_client_disconnected c r;
Index: src/networks/gnutella/gnutellaGlobals.ml
===================================================================
RCS file: /sources/mldonkey/mldonkey/src/networks/gnutella/gnutellaGlobals.ml,v
retrieving revision 1.38
diff -u -u -w -r1.38 gnutellaGlobals.ml
--- src/networks/gnutella/gnutellaGlobals.ml	17 May 2006 08:52:44 -0000	1.38
+++ src/networks/gnutella/gnutellaGlobals.ml	19 May 2006 21:58:31 -0000
@@ -44,15 +44,13 @@
 open GnutellaOptions
 open GnutellaNetwork
 
-(* prints a new logline with date, module and starts newline *)
-let lprintf_nl () =
-  lprintf "%s[Gnutella] "
-    (log_time ()); lprintf_nl2
-
-(* prints a new logline with date, module and does not start newline *)
-let lprintf_n () =
-  lprintf "%s[Gnutella] "
-    (log_time ()); lprintf
+let log_prefix = "[Gnutella]"
+
+let lprintf_nl fmt =
+  lprintf_nl2 log_prefix fmt
+
+let lprintf_n fmt =
+  lprintf2 log_prefix fmt
 
 let should_update_shared_files = ref false
 
@@ -339,7 +337,7 @@
     } 
   in
   if !verbose then
-    lprintf_nl () "SET SIZE : %Ld\n" file_size;
+    lprintf_nl "SET SIZE : %Ld\n" file_size;
   let kernel = CommonSwarming.create_swarmer file_temp file_size 
       (Int64.of_int (256 * 1024))  in
   let swarmer = CommonSwarming.create kernel (as_file file) megabyte in
@@ -543,7 +541,7 @@
 
 let disconnect_from_server s r =
   if !verbose then
-    lprintf_nl () "disconnect_from_server %s" (string_of_reason r);
+    lprintf_nl "disconnect_from_server %s" (string_of_reason r);
   match s.server_sock with
   | Connection sock ->
       let h = s.server_host in
@@ -552,7 +550,7 @@
             let connection_time = Int64.to_int (
                 Int64.sub (int64_time ()) s.server_connected) in
             if !verbose then
-              lprintf_nl () "disconnect_from_connected_server %s:%d after %d seconds (%s)\n"
+              lprintf_nl "disconnect_from_connected_server %s:%d after %d seconds (%s)\n"
                 (Ip.string_of_addr h.host_addr) h.host_port
                 connection_time (string_of_reason r)
             ;
Index: src/networks/gnutella/gnutellaHandler.ml
===================================================================
RCS file: /sources/mldonkey/mldonkey/src/networks/gnutella/gnutellaHandler.ml,v
retrieving revision 1.13
diff -u -u -w -r1.13 gnutellaHandler.ml
--- src/networks/gnutella/gnutellaHandler.ml	17 May 2006 08:52:44 -0000	1.13
+++ src/networks/gnutella/gnutellaHandler.ml	19 May 2006 21:58:31 -0000
@@ -323,7 +323,7 @@
   
 with e ->
   if !verbose then
-  lprintf_nl () "server_to_client exception %s" (Printexc2.to_string e)
+  lprintf_nl "server_to_client exception %s" (Printexc2.to_string e)
   
 (*************************************************************************)
 (*                                                                       *)
Index: src/networks/gnutella/gnutellaInteractive.ml
===================================================================
RCS file: /sources/mldonkey/mldonkey/src/networks/gnutella/gnutellaInteractive.ml,v
retrieving revision 1.53
diff -u -u -w -r1.53 gnutellaInteractive.ml
--- src/networks/gnutella/gnutellaInteractive.ml	17 May 2006 08:52:44 -0000	1.53
+++ src/networks/gnutella/gnutellaInteractive.ml	19 May 2006 21:58:31 -0000
@@ -94,12 +94,12 @@
 
 let result_download r =
   if !verbose then
-    lprintf_nl () "result_download";
+    lprintf_nl "result_download";
   let rec iter uids =
     match uids with
       [] -> raise IgnoreNetwork
     | uid :: tail ->
-        if !verbose then lprintf_nl () "UID: %s Accept(BP: %B ED2K: %B MD5: %B)" 
+        if !verbose then lprintf_nl "UID: %s Accept(BP: %B ED2K: %B MD5: %B)" 
             (Uid.to_string uid) 
             GnutellaNetwork.accept_bitprint
             GnutellaNetwork.accept_ed2kuid
@@ -115,49 +115,49 @@
         | _  -> iter tail
   in
   if !verbose then
-    lprintf_nl () "%d uids" (List.length r.result_uids);
+    lprintf_nl "%d uids" (List.length r.result_uids);
   iter r.result_uids
 
 let declare_file _ = should_update_shared_files := true
   
 let ask_for_uids sh =
-  if !verbose then lprintf_nl () "ask_for_uids Accept(BP: %B ED2K: %B MD5: %B)" 
+  if !verbose then lprintf_nl "ask_for_uids Accept(BP: %B ED2K: %B MD5: %B)" 
      GnutellaNetwork.accept_bitprint
      GnutellaNetwork.accept_ed2kuid
      GnutellaNetwork.accept_md5ext;
   let info = IndexedSharedFiles.get_result sh.shared_info in
   if GnutellaNetwork.accept_ed2kuid then begin
       if !verbose then
-        lprintf_nl () "Ask for ED2K uid";
+        lprintf_nl "Ask for ED2K uid";
       CommonUploads.ask_for_uid sh ED2K (fun sh uid ->
           let uid = Uid.to_string uid in
           declare_word uid;
           declare_file ();
           if !verbose then
-            lprintf_nl () "Ed2k uid available (size %d)" 
+            lprintf_nl "Ed2k uid available (size %d)" 
             (Array.length info.CommonUploads.shared_md4s);
       );
     end;
   if GnutellaNetwork.accept_md5ext then begin
       if !verbose then
-        lprintf_nl () "Ask for MD5EXT uid";
+        lprintf_nl "Ask for MD5EXT uid";
       CommonUploads.ask_for_uid sh MD5EXT (fun sh uid ->
           let uid = Uid.to_string uid in
           declare_word uid;
           declare_file ();          
           if !verbose then
-            lprintf_nl () "Md5ext uid available: %s"  uid
+            lprintf_nl "Md5ext uid available: %s"  uid
       );
     end;
 
   if GnutellaNetwork.accept_bitprint then begin
       if !verbose then
-        lprintf_nl () "Ask for BITPRINT uid";
+        lprintf_nl "Ask for BITPRINT uid";
       CommonUploads.ask_for_uid sh BITPRINT (fun sh uid ->
           declare_word uid;
           declare_file ();
           if !verbose then
-            lprintf_nl () "Bitprint tree available (size %d)" 
+            lprintf_nl "Bitprint tree available (size %d)" 
               (Array.length info.CommonUploads.shared_tiger);
           ()
       );
@@ -166,13 +166,13 @@
           declare_word uid;
           declare_file ();
           if !verbose then
-            lprintf_nl () "Tiger tree available (size %d)" 
+            lprintf_nl "Tiger tree available (size %d)" 
               (Array.length info.CommonUploads.shared_tiger);
       );
       CommonUploads.ask_for_uid sh SHA1 (fun sh uid -> 
           let uid = Uid.to_string uid in
           if !verbose_share then
-            lprintf_nl () "Could share urn: %s" uid;
+            lprintf_nl "Could share urn: %s" uid;
 (* TODO : enter this shared file in the QRT *)
           declare_word uid;
           declare_file ();          
Index: src/networks/gnutella/gnutellaMain.ml
===================================================================
RCS file: /sources/mldonkey/mldonkey/src/networks/gnutella/gnutellaMain.ml,v
retrieving revision 1.23
diff -u -u -w -r1.23 gnutellaMain.ml
--- src/networks/gnutella/gnutellaMain.ml	17 May 2006 08:52:44 -0000	1.23
+++ src/networks/gnutella/gnutellaMain.ml	19 May 2006 21:58:31 -0000
@@ -111,11 +111,11 @@
     add_session_timer enabler 60.0 (fun timer ->
         ( try 
         GnutellaServers.ask_for_files ();
-          with e -> lprintf_nl () "ASK_FOR_FILE FAILED: %s" (Printexc2.to_string e));
+          with e -> lprintf_nl "ASK_FOR_FILE FAILED: %s" (Printexc2.to_string e));
 
         ( try
         GnutellaServers.send_pings ();
-        with e -> lprintf_nl () "SEND_PINGS FAILED: %s" (Printexc2.to_string e));  
+        with e -> lprintf_nl "SEND_PINGS FAILED: %s" (Printexc2.to_string e));  
 
         (* Connect only every 60 seconds to new servers to prevent
            hammering on them. It would be better to remember the
@@ -144,7 +144,7 @@
     let sock = (UdpSocket.create (Ip.to_inet_addr !!client_bind_addr)
         !!client_port udp_handler ) in
     if !verbose then
-      lprintf_nl () "UDP socket bound on port %d" !!client_port;
+      lprintf_nl "UDP socket bound on port %d" !!client_port;
     udp_sock := Some sock;
     
     UdpSocket.set_write_controler sock CommonGlobals.udp_write_controler;
Index: src/networks/gnutella/gnutellaProto.ml
===================================================================
RCS file: /sources/mldonkey/mldonkey/src/networks/gnutella/gnutellaProto.ml,v
retrieving revision 1.13
diff -u -u -w -r1.13 gnutellaProto.ml
--- src/networks/gnutella/gnutellaProto.ml	17 May 2006 08:52:44 -0000	1.13
+++ src/networks/gnutella/gnutellaProto.ml	19 May 2006 21:58:31 -0000
@@ -508,7 +508,7 @@
   with e ->
       if !verbose_unknown_messages then
         begin
-          lprintf_nl () "Exception in parse: %s" (Printexc2.to_string e);
+          lprintf_nl "Exception in parse: %s" (Printexc2.to_string e);
           dump_hex pkt.pkt_payload;
         end;
       { pkt with pkt_payload = UnknownReq (pkt.pkt_type,pkt.pkt_payload) }
Index: src/networks/gnutella/gnutellaProtocol.ml
===================================================================
RCS file: /sources/mldonkey/mldonkey/src/networks/gnutella/gnutellaProtocol.ml,v
retrieving revision 1.23
diff -u -u -w -r1.23 gnutellaProtocol.ml
--- src/networks/gnutella/gnutellaProtocol.ml	17 May 2006 08:52:44 -0000	1.23
+++ src/networks/gnutella/gnutellaProtocol.ml	19 May 2006 21:58:31 -0000
@@ -242,7 +242,7 @@
 
 let update_shared_words () = 
   if !verbose_share then
-    lprintf_nl () "update_shared_words";
+    lprintf_nl "update_shared_words";
   all_shared_words := [];
   cached_qrt_table := "";
   let module M = CommonUploads in
@@ -257,7 +257,7 @@
     List.iter (fun sh ->
         let info = IndexedSharedFiles.get_result sh.shared_info in
         if !verbose_share then
-          lprintf_nl () "CODED name: %s" sh.M.shared_codedname;
+          lprintf_nl "CODED name: %s" sh.M.shared_codedname;
         register_words sh.M.shared_codedname;
         List.iter (fun uid ->
             words := WordSet.add (Uid.to_string uid) !words
@@ -330,12 +330,12 @@
           List.assoc "x-gnutella-alternate-location" headers in
         let locations = String2.split locations ',' in
         
-        lprintf_nl () "Alternate locations";
+        lprintf_nl "Alternate locations";
         let urls = List.map (fun s ->
               match String2.split_simplify s ' ' with
-                [] -> lprintf_nl () "Cannot parse : %s" s; ""
+                [] -> lprintf_nl "Cannot parse : %s" s; ""
               | url :: _ ->
-                  lprintf_nl () "  Location: %s" url; url
+                  lprintf_nl "  Location: %s" url; url
           ) locations in
         lprint_newline ();
         
@@ -538,7 +538,7 @@
       match url.Url.args with
         [(urn,_)] ->
           if !verbose_msg_clients then
-            lprintf_nl () "Found /uri-res/N2R request";
+            lprintf_nl "Found /uri-res/N2R request";
           find_by_uid (Uid.of_string urn)
       
       | _ -> failwith "Cannot parse /uri-res/N2R request"
@@ -549,7 +549,7 @@
     let num = String.sub file 5 (pos - 5) in
     let filename = String.sub file (pos+1) (String.length file - pos - 1) in
     if !verbose_msg_clients then
-      lprintf_nl () "Download of file %s, filename = %s" num filename;
+      lprintf_nl "Download of file %s, filename = %s" num filename;
     let num = int_of_string num in
     Hashtbl.find shareds_by_id  num
   in
Index: src/networks/gnutella/gnutellaRedirector.ml
===================================================================
RCS file: /sources/mldonkey/mldonkey/src/networks/gnutella/gnutellaRedirector.ml,v
retrieving revision 1.13
diff -u -u -w -r1.13 gnutellaRedirector.ml
--- src/networks/gnutella/gnutellaRedirector.ml	14 May 2006 19:09:21 -0000	1.13
+++ src/networks/gnutella/gnutellaRedirector.ml	19 May 2006 21:58:31 -0000
@@ -47,13 +47,13 @@
   let s = File.to_string file in
   (* Http_client.wget does not delete the temp file anymore *)
   (try Sys.remove file with _ -> ());
-  if !verbose then lprintf_nl () "Parsing urlfile from %s:\n%s" url_string s;
+  if !verbose then lprintf_nl "Parsing urlfile from %s:\n%s" url_string s;
   clean_file s;
   let lines = String2.split_simplify s '\n' in
   List.iter (fun line ->
       if not (List.mem line !!gnutella_hostfiles) then begin
         gnutella_hostfiles =:= line :: !!gnutella_hostfiles;
-        if !verbose then lprintf_nl () "Added GWebCache %s" line;
+        if !verbose then lprintf_nl "Added GWebCache %s" line;
       end
   ) lines;
   redirectors_hostfiles := !!gnutella_hostfiles
@@ -67,9 +67,9 @@
           (* 12 hour interval between urlfile re-connection attempts *)
           next_urlfile_access := last_time () + (3600*12);
           redirectors_urlfiles := !!urlfiles;
-          lprintf_nl () "added %d urlfiles" (List.length !!urlfiles);
+          lprintf_nl "added %d urlfiles" (List.length !!urlfiles);
       end else begin
-        if !verbose then lprintf_nl () "connect_urlfile: no urlfiles, too soon";
+        if !verbose then lprintf_nl "connect_urlfile: no urlfiles, too soon";
       end
   | url :: tail ->
       redirectors_urlfiles := tail;
@@ -84,28 +84,28 @@
           H.req_user_agent = get_user_agent ();
         } in
       if !verbose then
-        lprintf_nl () "Connecting to urlfile %s\n" url;
+        lprintf_nl "Connecting to urlfile %s\n" url;
       H.wget r (fun filename -> parse_urlfile filename url_string)
       
 let parse_hostfile file url_string = 
   let s = File.to_string file in
   if String2.starts_with s "ERROR" || String2.starts_with s "<" then begin
-    if !verbose then lprintf_nl () "Malformed response content:\n%s" s;
+    if !verbose then lprintf_nl "Malformed response content:\n%s" s;
     if List.mem url_string !!gnutella_hostfiles then begin
       gnutella_hostfiles =:= List.filter (fun h -> h <> url_string) !!gnutella_hostfiles;
       redirectors_hostfiles := !!gnutella_hostfiles;
-      if !verbose then lprintf_nl () "Removing %s from hostfiles" url_string;
+      if !verbose then lprintf_nl "Removing %s from hostfiles" url_string;
     end;
   end
   else begin
     clean_file s;
     let lines = String2.split_simplify s '\n' in
-    if !verbose then lprintf_nl () "Parsing response from %s:\n%s" url_string s;
+    if !verbose then lprintf_nl "Parsing response from %s:\n%s" url_string s;
     List.iter (fun line ->
       try
         let ip, port = String2.cut_at line ':' in
         if !verbose then
-          lprintf_nl () "Adding ultrapeer from hostfile %s %s" ip port;
+          lprintf_nl "Adding ultrapeer from hostfile %s %s" ip port;
         ignore (H.new_host (Ip.addr_of_string ip) (int_of_string port) Ultrapeer)
       with _ -> ()
     ) lines
@@ -122,7 +122,7 @@
           redirectors_hostfiles := !!gnutella_hostfiles
       end 
       else begin
-        if !verbose then lprintf_nl () "connect_hostfile: no gwebcaches, too soon";
+        if !verbose then lprintf_nl "connect_hostfile: no gwebcaches, too soon";
       end;
       connect_urlfile ();
   | url :: tail ->
@@ -138,7 +138,7 @@
           H.req_user_agent = get_user_agent ();
         } in
       if !verbose then
-        lprintf_nl () "Connecting to hostfile %s" url;
+        lprintf_nl "Connecting to hostfile %s" url;
       H.wget r (fun filename -> parse_hostfile filename url_string)
       
 let connect _ = 
Index: src/networks/gnutella/gnutellaServers.ml
===================================================================
RCS file: /sources/mldonkey/mldonkey/src/networks/gnutella/gnutellaServers.ml,v
retrieving revision 1.27
diff -u -u -w -r1.27 gnutellaServers.ml
--- src/networks/gnutella/gnutellaServers.ml	17 May 2006 08:52:44 -0000	1.27
+++ src/networks/gnutella/gnutellaServers.ml	19 May 2006 21:58:32 -0000
@@ -129,7 +129,7 @@
 (*************************************************************************)
          
 let send_pings () =
-  if !verbose then lprintf_nl () "send_pings";
+  if !verbose then lprintf_nl "send_pings";
   try
   if !new_shared_words then update_shared_words ();
   List.iter (fun s ->      
@@ -143,7 +143,7 @@
           host_send_qkr s.server_host           
       | _ -> 
           if !verbose then
-            lprintf_nl () "Udp Support present";
+            lprintf_nl "Udp Support present";
           ()
   ) !connected_servers;
   new_shared_words := false;
@@ -155,7 +155,7 @@
   on_send_pings ();
 
   with e -> 
-    lprintf_nl () "send_pings: %s" (Printexc2.to_string e)
+    lprintf_nl "send_pings: %s" (Printexc2.to_string e)
 
 
   
@@ -205,7 +205,7 @@
   
 let connect_servers connect =
 
-  if !verbose then lprintf_nl () "connect_servers c: %d n: %d max: %d\n" (List.length !connected_servers) !nservers !!max_ultrapeers; 
+  if !verbose then lprintf_nl "connect_servers c: %d n: %d max: %d\n" (List.length !connected_servers) !nservers !!max_ultrapeers; 
 
   (if !!max_ultrapeers > List.length !connected_servers then
       try
@@ -226,7 +226,7 @@
                   UdpQueryKey _ -> false
                 | _ -> true
           ) then begin
-            if !verbose then lprintf_nl () "host_send_qkr...\n"; 
+            if !verbose then lprintf_nl "host_send_qkr...\n"; 
             H.set_request h Udp_Connect;
             host_send_qkr h
           end
@@ -247,12 +247,12 @@
           unknown_header := !unknown_header || not (List.mem header GnutellaProto.known_supernode_headers)
       ) headers;
       if !unknown_header then begin
-          lprintf_nl () "Gnutella DEVEL: Supernode Header contains unknown fields";
-          lprintf_nl () "    %s" first_line;
+          lprintf_nl "Gnutella DEVEL: Supernode Header contains unknown fields";
+          lprintf_nl "    %s" first_line;
           List.iter (fun (header, (value,header2)) ->
               lprintf "    [%s] = [%s](%s)\n" header value header2;
           ) headers;
-          lprintf_nl () "Gnutella DEVEL: end of header";        
+          lprintf_nl "Gnutella DEVEL: end of header";        
         end;
     end;
   
@@ -400,7 +400,7 @@
     failwith "Protocol not supported";
   List.iter (fun (ip,port,ultrapeer) ->
       try
-        if !verbose then lprintf_nl () "x_ultrapeers new Ultrapeer %s %d" (Ip.string_of_addr ip) port;
+        if !verbose then lprintf_nl "x_ultrapeers new Ultrapeer %s %d" (Ip.string_of_addr ip) port;
         ignore (H.new_host ip port ultrapeer)
       with e ->
           if !verbose_msg_servers then begin
@@ -483,7 +483,7 @@
 
     let msg = make_http_header "GNUTELLA/0.6 200 OK" headers in
     if !verbose_msg_servers then
-      lprintf_nl () "CONNECT REQUEST %s: %s\n" (Ip.to_string (peer_ip sock)) (String.escaped msg); 
+      lprintf_nl "CONNECT REQUEST %s: %s\n" (Ip.to_string (peer_ip sock)) (String.escaped msg); 
     write_string sock msg;
     
     if h.hsrpl_content_deflate then deflate_connection sock;
@@ -495,7 +495,7 @@
     ()
   with e ->      
       if !verbose_msg_servers then
-        lprintf_nl () "DISCONNECT WITH EXCEPTION %s" (Printexc2.to_string e); 
+        lprintf_nl "DISCONNECT WITH EXCEPTION %s" (Printexc2.to_string e); 
       disconnect_from_server s (Closed_for_exception e)
   
 (*************************************************************************)
@@ -584,7 +584,7 @@
                 failwith "Invalid IP for server\n";
               let port = s.server_host.host_port in
               if !verbose_msg_servers then 
-                lprintf_nl () "CONNECT TO %s:%d" (Ip.to_string ip) port;
+                lprintf_nl "CONNECT TO %s:%d" (Ip.to_string ip) port;
               H.set_request h Tcp_Connect;
               H.try_connect h;
 (*                h.host_tcp_request <- last_time (); *)
@@ -633,7 +633,7 @@
               in
 
                 if !verbose_msg_servers then
-                  lprintf_nl () "SENDING %s" (String.escaped s);
+                  lprintf_nl "SENDING %s" (String.escaped s);
                 write_string sock s;
               with e ->
                   disconnect_from_server s
Index: src/networks/gnutella2/g2Handler.ml
===================================================================
RCS file: /sources/mldonkey/mldonkey/src/networks/gnutella2/g2Handler.ml,v
retrieving revision 1.19
diff -u -u -w -r1.19 g2Handler.ml
--- src/networks/gnutella2/g2Handler.ml	17 May 2006 08:52:44 -0000	1.19
+++ src/networks/gnutella2/g2Handler.ml	19 May 2006 21:58:32 -0000
@@ -74,7 +74,7 @@
 let g2_packet_handler s sock gconn p = 
   let h = s.server_host in
   if !verbose_msg_servers then begin
-      lprintf_nl () "Received %s packet from %s:%d: %s" 
+      lprintf_nl "Received %s packet from %s:%d: %s" 
         (match sock with Connection _  -> "TCP" | _ -> "UDP")
       (Ip.string_of_addr h.host_addr) h.host_port
         (Print.print p);
@@ -303,7 +303,7 @@
           match c.g2_payload with
             KHL_NH (ip,port) 
           | KHL_CH ((ip,port),_) ->
-              if !verbose then lprintf_nl () "KHL new Ultrapeer: %s %d" (Ip.to_string ip) port;
+              if !verbose then lprintf_nl "KHL new Ultrapeer: %s %d" (Ip.to_string ip) port;
               ignore (H.new_host (Ip.addr_of_ip ip) port Ultrapeer);
               List.iter (fun c ->
                   match c.g2_payload with
@@ -314,28 +314,26 @@
                       Some s -> 
                         s.server_nfiles <- f;
                         server_must_update (as_server s.server_server);
-                     | _ -> (if !verbose then lprintf_nl () "KHL LS: No server found: %s %d" (Ip.to_string ip) port)  
+                     | _ -> (if !verbose then lprintf_nl "KHL LS: No server found: %s %d" (Ip.to_string ip) port)  
                     )
 
                   | KHL_NH_HS (l,ml) 
                   | KHL_CH_HS (l,ml) -> (
-                    lprintf_nl () "KHL HS";
                     let s = find_server (Ip.addr_of_ip ip) port in
                     match s with 
                       Some s -> 
                         s.server_nusers <- Int64.of_int l;
                         s.server_maxnusers <- Int64.of_int ml;
                         server_must_update (as_server s.server_server);
-                     | _ -> (if !verbose then lprintf_nl () "KHL HS: No server found: %s %d" (Ip.to_string ip) port)
+                     | _ -> (if !verbose then lprintf_nl "KHL HS: No server found: %s %d" (Ip.to_string ip) port)
                     )
                   | KHL_NH_V v 
                   | KHL_CH_V v -> (
-                    lprintf_nl () "KHL HS";
                     let s = find_server (Ip.addr_of_ip ip) port in
                     match s with 
                       Some s -> 
                         if s.server_vendor = "" then s.server_vendor <- v;
-                     | _ -> (if !verbose then lprintf_nl () "KHL V: No server found: %s %d" (Ip.to_string ip) port)
+                     | _ -> (if !verbose then lprintf_nl "KHL V: No server found: %s %d" (Ip.to_string ip) port)
                     )
                   | _ -> ()
               ) c.g2_children
@@ -353,7 +351,7 @@
       List.iter (fun c ->
           match c.g2_payload with
           | QA_D ((ip,port),_) ->
-              if !verbose then lprintf_nl () "QA_D new Ultrapeer: %s %d" (Ip.to_string ip) port;
+              if !verbose then lprintf_nl "QA_D new Ultrapeer: %s %d" (Ip.to_string ip) port;
               let h = H.new_host (Ip.addr_of_ip ip) port Ultrapeer in
               H.connected h;
               begin
@@ -364,7 +362,7 @@
               end
 (* These ones have not been searched yet *)
           | QA_S ((ip,port),_) -> 
-              if !verbose then lprintf_nl () "QA_S new Ultrapeer: %s %d" (Ip.to_string ip) port;
+              if !verbose then lprintf_nl "QA_S new Ultrapeer: %s %d" (Ip.to_string ip) port;
               let h = H.new_host (Ip.addr_of_ip ip) port Ultrapeer in
               H.connected h;
           
@@ -462,7 +460,7 @@
                   xml_info := Some xml
                 with e ->
                     if !verbose_unknown_messages then
-                      lprintf_nl () "Exception %s while parsing: \n%s"
+                      lprintf_nl "Exception %s while parsing: \n%s"
                         (Printexc2.to_string e) xml
               
               end
@@ -484,7 +482,7 @@
                 ) user_files files
               end else begin
                 if !verbose_unknown_messages then
-                  lprintf_nl () "ERROR: Not enough XML entries %d/%d"
+                  lprintf_nl "ERROR: Not enough XML entries %d/%d"
                     (List.length files) (List.length user_files);
                 user_files 
               end
@@ -492,7 +490,7 @@
       in
       
       if !verbose_msg_servers then begin
-          lprintf_nl () "Results Received:";
+          lprintf_nl "Results Received:";
           List.iter (fun (urn, size, name, url, tags) ->
               lprintf "[name %s] [size %s] [urn %s] [url %s]\n"
                 name (match size with
@@ -586,17 +584,17 @@
       
   | _ -> 
       if !verbose_unknown_messages then
-        lprintf_nl () "g2_packet_handler: unexpected packet %s"
+        lprintf_nl "g2_packet_handler: unexpected packet %s"
         (Print.print p)
 
 with e ->
   if !verbose then
-  lprintf_nl () "g2_packet_handler exception: %s" (Printexc2.to_string e) 
+  lprintf_nl "g2_packet_handler exception: %s" (Printexc2.to_string e) 
   
           
 let udp_packet_handler ip port msg = 
   let addr = Ip.addr_of_ip ip in
-  (* if !verbose then lprintf_nl () "udp_packet_handler new Ultrapeer: %s %d" (Ip.to_string ip) port; *)
+  (* if !verbose then lprintf_nl "udp_packet_handler new Ultrapeer: %s %d" (Ip.to_string ip) port; *)
   let h = H.new_host addr port Ultrapeer in
   H.connected h;
 (*  if !verbose_udp then
@@ -621,7 +619,7 @@
 
 let init s sock gconn = 
 (*  gconn.gconn_sock <- s.server_sock; *)
-  if !verbose then lprintf_nl () "init: %s" (Ip.to_string (peer_ip sock));
+  if !verbose then lprintf_nl "init: %s" (Ip.to_string (peer_ip sock));
 
   connected_servers := s :: !connected_servers;
   gconn.gconn_handler <- Reader (g2_handler (g2_packet_handler s s.server_sock));
@@ -657,7 +655,7 @@
 
       (*
       if !verbose then begin 
-        lprintf_nl () "udp_client_handler %s %d" (Ip.to_string ip) port;
+        lprintf_nl "udp_client_handler %s %d" (Ip.to_string ip) port;
         AnyEndian.dump_hex buf;
       end;
       *)
@@ -665,13 +663,13 @@
       udp_packet_handler ip port x
 
     with AckPacket | FragmentedPacket -> 
-      (* if !verbose then lprintf_nl () "ACK/FRAGMENT" *)
+      (* if !verbose then lprintf_nl "ACK/FRAGMENT" *)
 
       ()
     
   else
     if !verbose then begin
-      lprintf_nl () "Unexpected UDP packet:";
+      lprintf_nl "Unexpected UDP packet:";
       AnyEndian.dump_hex buf;
     end
       
